/**
 * <copyright> </copyright>
 * 
 * $Id: InCondInstanceValidator.java,v 1.1 2008-11-18 10:44:00 cbrunett Exp $
 */
package fr.inria.aoste.syndex.validation;

import fr.inria.aoste.syndex.InCondPort;

/**
 * A sample validator interface for {@link fr.inria.aoste.syndex.InCondInstance}. This doesn't really do anything, and
 * it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to
 * illustrate how EMF's code generator can be extended. This can be disabled with -vmargs
 * -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface InCondInstanceValidator
{
	boolean validate();

	boolean validateOwnerCond(InCondPort value);
}
